# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

import sys
import logging

from offspring.bootstrap import Bootstrap


class LexbuilderSlaveBootstrap(Bootstrap):

    def __init__(self, options, config):
        self.config = config
        self.host = ""
        self.port = config.getint("slave", "port")
        self.options = options

    def main(self):
        from offspring.slave import LexbuilderSlave
        sys.stdout.write("Starting offspring-slave on %s:%s.\n" % (
          self.host, self.port))
        self.slave = LexbuilderSlave((self.host, self.port), self.config)
        if not self.options.debug_mode:
            self.daemonize()
        self.slave.start()
