from ConfigParser import ConfigParser

SLAVE_PORT = 8765


class LexbuilderSlaveTestMixin(object):
    """
    Sets up a configuration object usable by Slave tests.
    """

    def setUp(self):
        super(LexbuilderSlaveTestMixin, self).setUp()
        self.log_dir = self.makeDir()
        self.config = ConfigParser()
        self.config.add_section("slave")
        self.config.set("slave", "bin_dir", "/usr/bin")
        self.config.set("slave", "log_dir", self.log_dir)
        self.config.set("slave", "build_command",
                        "%(bin_dir)s/offspring-build")
        self.config.set("slave", "child_wait_timeout", "0")
        self.config.set("slave", "xmlrpc_server_auth", "admin:password")
        self.config.set("slave", "request_timeout", "60")
        self.config.set("slave", "logfile", "%(log_dir)s/offspring-slave-log")
        self.config.set("slave", "port", str(SLAVE_PORT))
