# Copyright 2010-2011 Canonical Ltd.
from cStringIO import StringIO

from mocker import MockerTestCase

from offspring.web.queuemanager.metrics import get_build_result_metrics
from offspring.web.queuemanager.management.commands.build_metrics import (
    Command)


class TestBuildResultMetricsCommand(MockerTestCase):

    def test_calls_get_build_result_metrics(self):
        """
        When called, the build_metrics command should fetch the list of metrics
        available for offspring.web.queuemanager and output them.
        """
        build_result_metrics_mock = self.mocker.replace(
            get_build_result_metrics)
        build_result_metrics_mock()
        self.mocker.result([("Description of value", 200)])
        self.mocker.replay()

        command = Command()
        stdout = StringIO()
        command.stdout = stdout
        command.handle_noargs()

        self.assertEqual("Description of value = 200\n", stdout.getvalue())
