# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from django.test import TestCase

from offspring.config import get_configuration
from offspring.web.queuemanager.templatetags.lexbuilder_helpers import (
    link_results,
)

config = get_configuration()

class LexbuilderHelpersTemplateTagTests(TestCase):

    def test_link_results(self):
        base_uri = config.get("web", "build_results_uri")
        project_name = "foobar"
        build_date = "201202"
        build_id = "0"
        expected_link = "%s/%s/%s/%s" % (
            base_uri, project_name, build_date, build_id)
        self.assertEqual(
            link_results(project_name, "%s-%s" % (build_date, build_id)),
            expected_link)


